# -*- encoding: utf-8 -*-
# stub: sensu-plugins-zookeeper 3.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-zookeeper".freeze
  s.version = "3.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2021-03-31"
  s.description = "Zookeeper plugins for checks and metrics".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["metrics-zookeeper.rb".freeze, "check-zookeeper-mode.rb".freeze, "check-zookeeper-file-descriptors.rb".freeze, "metrics-zookeeper-cluster.rb".freeze, "check-znode.rb".freeze, "check-zookeeper-ruok.rb".freeze, "check-zookeeper-latency.rb".freeze, "check-zookeeper-reqs.rb".freeze, "check-netty-zookeeper-cluster.rb".freeze, "check-zookeeper-cluster.rb".freeze]
  s.files = ["bin/check-netty-zookeeper-cluster.rb".freeze, "bin/check-znode.rb".freeze, "bin/check-zookeeper-cluster.rb".freeze, "bin/check-zookeeper-file-descriptors.rb".freeze, "bin/check-zookeeper-latency.rb".freeze, "bin/check-zookeeper-mode.rb".freeze, "bin/check-zookeeper-reqs.rb".freeze, "bin/check-zookeeper-ruok.rb".freeze, "bin/metrics-zookeeper-cluster.rb".freeze, "bin/metrics-zookeeper.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-zookeeper".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for zookeeper".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<zookeeper>.freeze, ["= 1.4.11"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<zookeeper>.freeze, ["= 1.4.11"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  end
end
